regina::detail::FaceOrientability< false > Class Template Reference
Implementation details

Helper class that stores whether the link of a face is orientable. More...

`#include <triangulation/detail/face.h>`

## Public Member Functions

bool | isLinkOrientable () const
| Determines if the link of this face is orientable. More...

## Protected Member Functions

void | markLinkNonorientable ()
| Marks the link of this face as non-orientable. More...

## Detailed Description

### template<>
class regina::detail::FaceOrientability< false >

Helper class that stores whether the link of a face is orientable.

See the general FaceOrientability template notes for further details.

This specialisation is used for dimensions in which links of faces are always orientable. It optimises away all the implementation details (since there is nothing to store and nothing to compute).

## Member Function Documentation

## isLinkOrientable()

bool regina::detail::FaceOrientability< false >::isLinkOrientable | ( |  | ) | const

inline

Determines if the link of this face is orientable.

This routine always returns `true`, since this specialisation of FaceOrientability is for dimensions in which links of faces are always orientable.

Returns
  `true`.

## markLinkNonorientable()

void regina::detail::FaceOrientability< false >::markLinkNonorientable | ( |  | ) |

inline protected

Marks the link of this face as non-orientable.

This routine should never be called, since this specialisation of FaceOrientability is for dimensions in which links of faces are always orientable.

It is provided to support dimension-agnostic code, but its implementation does nothing.

The documentation for this class was generated from the following file:

- triangulation/detail/face.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).